"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const handlebars_1 = require("handlebars");
const LRU = require("lru-cache");
const cache = LRU(1000);
exports.default = (htmlTemplate) => {
    if (!cache[htmlTemplate]) {
        try {
            cache[htmlTemplate] = handlebars_1.compile(htmlTemplate);
            cache[htmlTemplate]();
        }
        catch (e) {
            cache[htmlTemplate] = e;
        }
    }
    if (cache[htmlTemplate] instanceof Error) {
        throw cache[htmlTemplate];
    }
    else {
        return cache[htmlTemplate];
    }
};
//# sourceMappingURL=getCompiledHandlebarsTemplate.js.map