"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const visit = require("unist-util-visit-parents");
const types_1 = require("../types");
exports.default = () => (ast, vFile) => {
    return visit(ast, "narrativeSchemaLabel", (labelNode, parents) => {
        if (labelNode.data.errorType) {
            labelNode.data.placement = types_1.LabelPlacement.NA;
            return;
        }
        const parent = parents[parents.length - 1];
        const grandparent = parents[parents.length - 2];
        if (parent.type === "paragraph" && parent.children.length === 1) {
            const parentIndex = grandparent.children.indexOf(parent);
            grandparent.children[parentIndex] = labelNode;
            labelNode.data.placement = types_1.LabelPlacement.BLOCK;
        }
        else {
            labelNode.data.placement = types_1.LabelPlacement.INLINE;
        }
    });
};
//# sourceMappingURL=extractPlacement.js.map