"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
const hash = require("object-hash");
const types_1 = require("./types");
exports.getLabelIdPrefix = (vFile) => hash(vFile.path).substring(0, 8);
exports.deriveLabelType = (start, end) => {
    if (start === types_1.LabelFence.START && end === types_1.LabelFence.END) {
        return types_1.LabelType.SINGLE;
    }
    if (start === types_1.LabelFence.START && end === types_1.LabelFence.END_OPENING) {
        return types_1.LabelType.PAIRED_OPENING;
    }
    if (start === types_1.LabelFence.START_CLOSING && end === types_1.LabelFence.END) {
        return types_1.LabelType.PAIRED_CLOSING;
    }
    return types_1.LabelType.INVALID;
};
exports.markLabelNodeAsErroneous = (vFile, labelNode, errorType, errorCaption) => {
    labelNode.data.errorType = errorType;
    labelNode.data.errorCaption = errorCaption;
    vFile.message(errorCaption, labelNode, "litvis:narrative-schema-label");
};
exports.isValidLabelName = (name) => !!name.match(/^[a-zA-Z][a-zA-Z0-9_]*$/);
//# sourceMappingURL=utils.js.map